com.r3corda.core.contracts / Commodity / <init>

# <init>

`Commodity(commodityCode: String, displayName: String, defaultFractionDigits: Int = 0)`

Class representing a commodity, as an equivalent to the Currency class. This exists purely to enable the CommodityContract contract, and is likely to change in future.

### Parameters

`commodityCode` - a unique code for the commodity. No specific registry for these is currently defined, although this is likely to change in future.
`displayName` - human readable name for the commodity.
`defaultFractionDigits` - the number of digits normally after the decimal point when referring to quantities of this commodity.